import * as decorator from '@mokia/decorator';
import * as producer from '@mokia/producer';
import type { ServerConfig } from '@mokia/server';
declare type Mokia = typeof mock & typeof decorator & {
    producer: typeof producer;
    defineConfig: typeof defineConfig;
};
declare type MokiaUserConfig<T = typeof producer> = ServerConfig<T>;
declare const mock: <T>(schema: T) => producer.MockResult<T>;
declare const defineConfig: <T>(config: MokiaUserConfig<T>) => MokiaUserConfig<T>;
declare const mokia: Mokia;
export = mokia;
